# PSF-LoginServer - master - net.psforever.objects.loadouts.VehicleLoadout
PSF - LoginServer - master - net.psforever.objects.loadouts.VehicleLoadout
Keywords: PSF LoginServer master net.psforever.objects.loadouts.VehicleLoadout

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package loadouts
  Definition Classes
    objects
- EquipmentLoadout
- InfantryLoadout
- Loadout
- SquadLoadout
- SquadPositionLoadout
- VehicleLoadout

c

net.psforever.objects.loadouts

# VehicleLoadout

###

#### final case class VehicleLoadout(label: String, visible_slots: List[SimplifiedEntry], inventory: List[SimplifiedEntry], vehicle_definition: VehicleDefinition) extends EquipmentLoadout with Product with Serializable

A blueprint of a vehicle's mounted weapons and its inventory items, saved in a specific state. This previous state can be restored on an apporpriate vehicle template by reconstructing the items (if permitted). Mismatched vehicles may produce no loadout or an imperfect loadout depending on specifications.
The second tab on an `repair_silo` window is occupied by the list of "Favorite" `Loadout` blueprints. The five-long list is initialized with `FavoritesMessage` packets assigned to the "Vehicle" list. Specific entries are added or removed using `FavoritesRequest` packets, re-established using other conventional game packets.

label

  the name by which this inventory will be known when displayed in a Favorites list; field gets inherited

visible_slots

  simplified representation of the `Equipment` that can see "seen" on the target; field gets inherited

inventory

  simplified representation of the `Equipment` in the target's inventory or trunk; field gets inherited

vehicle_definition

  the original type of vehicle whose state is being populated

Source
  VehicleLoadout.scala

Linear Supertypes
Serializable, Product, Equals, EquipmentLoadout, Loadout, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleLoadout
2. Serializable
3. Product
4. Equals
5. EquipmentLoadout
6. Loadout
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleLoadout(label: String, visible_slots: List[SimplifiedEntry], inventory: List[SimplifiedEntry], vehicle_definition: VehicleDefinition)

   label

     the name by which this inventory will be known when displayed in a Favorites list; field gets inherited

   visible_slots

     simplified representation of the `Equipment` that can see "seen" on the target; field gets inherited

   inventory

     simplified representation of the `Equipment` in the target's inventory or trunk; field gets inherited

   vehicle_definition

     the original type of vehicle whose state is being populated

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  val inventory: List[SimplifiedEntry]
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  val label: String
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val vehicle_definition: VehicleDefinition
18.  val visible_slots: List[SimplifiedEntry]
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from EquipmentLoadout

### Inherited from Loadout

### Inherited from AnyRef

### Inherited from Any

### Ungrouped